FolksDummy.Persona – folks-dummy Reference Manual

# Persona

## Object Hierarchy:

## Description:

public class Persona : Persona

A persona subclass representing a single contact.

This mocks up a ‘thin’ persona which implements none of the available property interfaces provided by libfolks, and is designed as a base class to be subclassed by personas which will implement one or more of these interfaces. For example, FolksDummy.FullPersona is one such subclass which implements all available interfaces.

There are two sides to this class’ interface: the normal methods required by Folks.Persona, such as Folks.Persona.linkable_property_to_links, and the backend methods which should be called by test driver code to simulate changes in the backing store providing this persona, such as FolksDummy.Persona.update_writeable_properties. The `update_`, `register_` and `unregister_` prefixes are commonly used for backend methods.

All property changes for contact details of subclasses of FolksDummy.Persona have a configurable delay before taking effect, which can be controlled by FolksDummy.Persona.property_change_delay.

The API in FolksDummy is unstable and may change wildly. It is designed mostly for use by libfolks unit tests.

## Since:

0.9.7

All known sub-classes:

- FullPersona

Namespace: FolksDummy
Package: folks-dummy

## Content:

### Properties:

- public override string[] linkable_properties { get; }
- public override string[] writeable_properties { get; }

### Creation methods:

- public Persona (PersonaStore store, string contact_id, bool is_user = false, string[] linkable_properties = new string[0] {})
  Create a new persona.

### Methods:

- public override void linkable_property_to_links (string prop_name, LinkablePropertyCallback callback)
- public void update_linkable_properties (string[] linkable_properties)
  Update the persona’s set of linkable properties.
- public void update_writeable_properties (string[] writeable_properties)
  Update the persona’s set of writeable properties.

### Inherited Members:

All known members inherited from class Folks.Persona

- LinkablePropertyCallback
- build_uid
- display_id
- iid

- individual
- is_user
- linkable_properties
- linkable_property_to_links

- split_uid
- store
- uid
- writeable_properties

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref